com.genesyslab.wfm8.API.service.schedule800

## Class SchCoverage

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchCoverage

- All Implemented Interfaces:
    java.io.Serializable

      public class SchCoverage
      extends java.lang.Object
      implements java.io.Serializable

  Raw coverage as scheduled by SWORD
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmActivityId`
    `protected short` | `wmEndMinute`
    `protected short` | `wmStartMinute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchCoverage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmActivityId()` Gets the value of the wmActivityId property.
    `short` | `getWmEndMinute()` Gets the value of the wmEndMinute property.
    `short` | `getWmStartMinute()` Gets the value of the wmStartMinute property.
    `int` | `hashCode()`
    `void` | `setWmActivityId(int value)` Sets the value of the wmActivityId property.
    `void` | `setWmEndMinute(short value)` Sets the value of the wmEndMinute property.
    `void` | `setWmStartMinute(short value)` Sets the value of the wmStartMinute property.
    `java.lang.String` | `toString()`
    `SchCoverage` | `withWmActivityId(int value)`
    `SchCoverage` | `withWmEndMinute(short value)`
    `SchCoverage` | `withWmStartMinute(short value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmActivityId

          protected int wmActivityId

    - #### wmStartMinute

          protected short wmStartMinute

    - #### wmEndMinute

          protected short wmEndMinute

  - ### Constructor Detail

    - #### SchCoverage

          public SchCoverage()

  - ### Method Detail

    - #### getWmActivityId

          public int getWmActivityId()

      Gets the value of the wmActivityId property.

    - #### setWmActivityId

          public void setWmActivityId(int value)

      Sets the value of the wmActivityId property.

    - #### getWmStartMinute

          public short getWmStartMinute()

      Gets the value of the wmStartMinute property.

    - #### setWmStartMinute

          public void setWmStartMinute(short value)

      Sets the value of the wmStartMinute property.

    - #### getWmEndMinute

          public short getWmEndMinute()

      Gets the value of the wmEndMinute property.

    - #### setWmEndMinute

          public void setWmEndMinute(short value)

      Sets the value of the wmEndMinute property.

    - #### withWmActivityId

          public SchCoverage withWmActivityId(int value)

    - #### withWmStartMinute

          public SchCoverage withWmStartMinute(short value)

    - #### withWmEndMinute

          public SchCoverage withWmEndMinute(short value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.